API Reference
Storage
File storage, IPFS integration, and asset management
Upload Avatar
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Request Body
multipart/form-data
file*string
Response Body
application/json
application/json
curl -X POST "https://loading/api/storage/avatar/upload" \ -F file="string"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Delete Avatar
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Response Body
application/json
curl -X DELETE "https://loading/api/storage/avatar"nullList User Files
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Response Body
application/json
curl -X GET "https://loading/api/storage/files"nullGenerate Presigned Url
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Query Parameters
filename*string
expiration?integer
Default
3600Response Body
application/json
application/json
curl -X POST "https://loading/api/storage/presigned-url?filename=string"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}curl -X GET "https://loading/api/ipfs/health"{}Upload File
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Request Body
multipart/form-data
file*string
pin?boolean
Default
trueResponse Body
application/json
application/json
curl -X POST "https://loading/api/ipfs/upload" \ -F file="string"{
"success": true,
"cid": "string",
"ipfs_uri": "string",
"gateway_url": "string",
"file_size": 0,
"file_type": "image",
"pinned": true,
"timestamp": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Upload Metadata
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Request Body
application/json
metadata*
NFT metadata structure following OpenSea standards
pin?boolean
Default
trueResponse Body
application/json
application/json
curl -X POST "https://loading/api/ipfs/metadata" \ -H "Content-Type: application/json" \ -d '{ "metadata": { "name": "string", "description": "string", "image": "string" } }'{
"success": true,
"cid": "string",
"ipfs_uri": "string",
"gateway_url": "string",
"metadata": {
"name": "string",
"description": "string",
"image": "string",
"external_url": "string",
"animation_url": "string",
"background_color": "string",
"attributes": [
{
"trait_type": "string",
"value": "string",
"display_type": "string",
"max_value": 0
}
]
},
"pinned": true,
"timestamp": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}curl -X GET "https://loading/api/ipfs/retrieve/string"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Pin Content
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
cid*string
Response Body
application/json
application/json
curl -X POST "https://loading/api/ipfs/pin/string"{}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Unpin Content
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
cid*string
Response Body
application/json
application/json
curl -X DELETE "https://loading/api/ipfs/pin/string"{}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}curl -X GET "https://loading/api/ipfs/status/string"{
"cid": "string",
"status": "pinned",
"pinned_at": "2019-08-24T14:15:22Z",
"error": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}curl -X GET "https://loading/api/ipfs/gateway-url/string"{}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}